Subject: Re: Regression in `git diff --quiet HEAD` when a new file is staged

From: Lidong Yan <[email-masked]>
Date: Wed, 22 Oct 2025 22:20:59 +0800

Jeff King <[email-masked]> writes:
> 
> We probably also need to restore o->color_moved, too.
> 
> In the long run (and this is the kind of cleanup I was hoping you'd work
> on for 'master'), we probably could drop that line entirely and just
> skip running the moved-line detection when dry_run is set. Assuming it
> even runs at all. From a quick look at the code, it looks like we only
> do color-moved handling via diff_flush_patch_all_file_pairs(), so it
> wouldn't trigger at all for the cases that do individual calls to
> diff_flush_patch_quietly()?
> 

Sounds interesting, I’d like to dig into this ‘color_moved’ option and see
if we can optimize some code path in dry-run mode.

Thanks,
Lidong